summaryrefslogtreecommitdiff
path: root/taler-docbuild
diff options
context:
space:
mode:
Diffstat (limited to 'taler-docbuild')
-rw-r--r--taler-docbuild/.gitignore1
-rw-r--r--taler-docbuild/Makefile40
-rw-r--r--taler-docbuild/README2
-rwxr-xr-xtaler-docbuild/invalidate.sh13
-rwxr-xr-xtaler-docbuild/update_api.sh17
-rwxr-xr-xtaler-docbuild/update_doc_backoffice.sh20
-rwxr-xr-xtaler-docbuild/update_doc_bank.sh23
-rwxr-xr-xtaler-docbuild/update_doc_exchange.sh25
-rwxr-xr-xtaler-docbuild/update_doc_landing.sh19
-rwxr-xr-xtaler-docbuild/update_doc_merchant.sh21
-rwxr-xr-xtaler-docbuild/update_onboarding.sh20
-rwxr-xr-xtaler-docbuild/update_tutorials.sh24
-rwxr-xr-xtaler-docbuild/update_www_and_stage.sh21
13 files changed, 246 insertions, 0 deletions
diff --git a/taler-docbuild/.gitignore b/taler-docbuild/.gitignore
new file mode 100644
index 0000000..c337aa9
--- /dev/null
+++ b/taler-docbuild/.gitignore
@@ -0,0 +1 @@
+*-stamp
diff --git a/taler-docbuild/Makefile b/taler-docbuild/Makefile
new file mode 100644
index 0000000..ce75e67
--- /dev/null
+++ b/taler-docbuild/Makefile
@@ -0,0 +1,40 @@
+all: api-stamp backoffice bank-stamp exchange-stamp
+all: docs-landing-stamp merchant-stamp
+all: www.taler.net-stamp stage.taler.net-stamp
+
+
+api-stamp:
+ ./update_api.sh
+ touch $@
+
+backoffice-stamp:
+ ./update_doc_backoffice.sh
+ touch $@
+
+bank-stamp:
+ ./update_doc_bank.sh
+ touch $@
+
+landing-stamp:
+ ./update_doc_landing.sh
+ touch $@
+
+merchant-stamp:
+ ./update_doc_merchant.sh
+ touch $@
+
+deployment-stamp:
+ ./update_onboarding.sh
+ touch $@
+
+tutorials-stamp:
+ ./update_tutorials.sh
+ touch $@
+
+stage.taler.net-stamp:
+ ./update_www_and_stage.sh
+ touch $@
+
+www.taler.net-stamp:
+ ./update_www_and_stage.sh
+ touch $@
diff --git a/taler-docbuild/README b/taler-docbuild/README
new file mode 100644
index 0000000..115fe29
--- /dev/null
+++ b/taler-docbuild/README
@@ -0,0 +1,2 @@
+Makefile for all taler components, using one timestamp
+file in this folder to represent each component.
diff --git a/taler-docbuild/invalidate.sh b/taler-docbuild/invalidate.sh
new file mode 100755
index 0000000..e094441
--- /dev/null
+++ b/taler-docbuild/invalidate.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -eu
+components="merchant exchange backoffice stage.taler.net www.taler.net api docs-landing"
+
+for component in $components ; do
+ cd $HOME/$component
+ git fetch
+ if git status -sb | grep behind; then
+ echo "invalidating $component"
+ rm -f $HOME/deployment/taler-docbuild/$component-stamp
+ fi
+done
diff --git a/taler-docbuild/update_api.sh b/taler-docbuild/update_api.sh
new file mode 100755
index 0000000..ec0cc0d
--- /dev/null
+++ b/taler-docbuild/update_api.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo head)
+ git reset --hard "$branch"
+}
+
+cd $HOME/api
+fetch
+make html
+cp -r _build/html/* $HOME/build/api/html/
+
diff --git a/taler-docbuild/update_doc_backoffice.sh b/taler-docbuild/update_doc_backoffice.sh
new file mode 100755
index 0000000..dc5d773
--- /dev/null
+++ b/taler-docbuild/update_doc_backoffice.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo head)
+ git reset --hard "$branch"
+}
+
+cd $HOME/backoffice/doc/
+fetch
+make
+mkdir -p $HOME/build/backoffice/pdf
+mkdir -p $HOME/build/backoffice/html
+cp manual.pdf $HOME/build/backoffice/pdf/
+cp manual.html $HOME/build/backoffice/html/
+cp *.css $HOME/build/backoffice/html/
diff --git a/taler-docbuild/update_doc_bank.sh b/taler-docbuild/update_doc_bank.sh
new file mode 100755
index 0000000..3c8a6ac
--- /dev/null
+++ b/taler-docbuild/update_doc_bank.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo head)
+ git reset --hard "$branch"
+}
+
+cd $HOME/bank
+fetch
+./bootstrap
+./configure --enable-only-doc
+make pdf
+make html
+mkdir -p $HOME/build/bank/manual/pdf
+mkdir -p $HOME/build/bank/manual/html
+cp doc/taler-bank.pdf $HOME/build/bank/manual/pdf/
+cp doc/taler-bank.html $HOME/build/bank/manual/html/
+cp doc/*.css $HOME/build/exchange/manual/html/
diff --git a/taler-docbuild/update_doc_exchange.sh b/taler-docbuild/update_doc_exchange.sh
new file mode 100755
index 0000000..f5054d0
--- /dev/null
+++ b/taler-docbuild/update_doc_exchange.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+ git reset --hard "$branch"
+}
+
+cd $HOME/exchange
+fetch
+./bootstrap
+./configure --enable-only-doc
+make pdf
+make html
+doxygen
+cp doc/taler-exchange.pdf $HOME/build/exchange/manual/pdf/
+cp doc/taler-exchange.html $HOME/build/exchange/manual/html/
+cp doc/*.css $HOME/build/exchange/manual/html/
+cp doc/*.png $HOME/build/exchange/manual/html/
+cp doc/*.js $HOME/build/exchange/manual/html/
+cp -r doxygen-doc/html/* $HOME/build/exchange/doxygen/
diff --git a/taler-docbuild/update_doc_landing.sh b/taler-docbuild/update_doc_landing.sh
new file mode 100755
index 0000000..bbc0086
--- /dev/null
+++ b/taler-docbuild/update_doc_landing.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo head)
+ git reset --hard "$branch"
+}
+
+cd $HOME/docs-landing/
+fetch
+git submodule update --force --init
+
+# No compilation needed so far.
+mkdir -p $HOME/build/docs-landing/
+cp -t $HOME/build/docs-landing/ *.{html,css,svg}
diff --git a/taler-docbuild/update_doc_merchant.sh b/taler-docbuild/update_doc_merchant.sh
new file mode 100755
index 0000000..abc4c10
--- /dev/null
+++ b/taler-docbuild/update_doc_merchant.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+ git reset --hard "$branch"
+}
+
+cd $HOME/merchant
+fetch
+./bootstrap
+./configure --enable-only-doc
+make
+doxygen
+cp doc/manual.pdf $HOME/build/merchant-backend/manual/pdf/
+cp doc/*.{html,png,css,js} $HOME/build/merchant-backend/manual/html/
+cp -r doxygen-doc/html/* $HOME/build/merchant-backend/doxygen/
diff --git a/taler-docbuild/update_onboarding.sh b/taler-docbuild/update_onboarding.sh
new file mode 100755
index 0000000..9e38c80
--- /dev/null
+++ b/taler-docbuild/update_onboarding.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo head)
+ git reset --hard "$branch"
+}
+
+cd $HOME/deployment
+fetch
+cd doc/
+make all
+cp *.css $HOME/build/onboarding/html/
+cp onboarding.html $HOME/build/onboarding/html/
+cp onboarding.pdf $HOME/build/onboarding/pdf/
+
diff --git a/taler-docbuild/update_tutorials.sh b/taler-docbuild/update_tutorials.sh
new file mode 100755
index 0000000..cef16ca
--- /dev/null
+++ b/taler-docbuild/update_tutorials.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+ git reset --hard "$branch"
+}
+
+cd $HOME/merchant-frontend-examples
+fetch
+make
+cp php/doc/tutorial.pdf $HOME/build/merchant-frontend/php/pdf/
+cp php/doc/tutorial.html $HOME/build/merchant-frontend/php/html/
+cp php/doc/*.css $HOME/build/merchant-frontend/php/html/
+cp php/doc/*.jpg $HOME/build/merchant-frontend/php/html/
+cp python/doc/tutorial.pdf $HOME/build/merchant-frontend/python/pdf/
+cp python/doc/tutorial.html $HOME/build/merchant-frontend/python/html/
+cp python/doc/*.css $HOME/build/merchant-frontend/python/html/
+cp python/doc/*.jpg $HOME/build/merchant-frontend/python/html/
+
diff --git a/taler-docbuild/update_www_and_stage.sh b/taler-docbuild/update_www_and_stage.sh
new file mode 100755
index 0000000..a57c889
--- /dev/null
+++ b/taler-docbuild/update_www_and_stage.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+ git reset --hard "$branch"
+}
+
+cd $HOME/stage.taler.net
+fetch
+git submodule update --init --force
+make
+
+cd $HOME/www.taler.net
+fetch
+git submodule update --init --force
+make